## org.apache.bcel.verifier.exc
Class StaticCodeInstructionOperandConstraintException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
                      org.apache.bcel.verifier.exc.VerificationException
                          org.apache.bcel.verifier.exc.CodeConstraintException
                              org.apache.bcel.verifier.exc.StaticCodeConstraintException
                                  org.apache.bcel.verifier.exc.StaticCodeInstructionOperandConstraintException

All Implemented Interfaces:
  Serializable

    public class StaticCodeInstructionOperandConstraintException

extends StaticCodeConstraintException

Instances of this class are thrown by BCEL's class file verifier "JustIce" when a class file to verify does not pass the verification pass 3 because of a violation of a static constraint as described in the Java Virtual Machine Specification, Second edition, 4.8.1, pages 133-137. The static constraints checking part of pass 3 is called pass 3a in JustIce. Static constraints on the operands of instructions in the code array are checked late in pass 3a and are described on page 134-137 in the Java Virtual Machine Specification, Second Edition.

Version:
  $Id: StaticCodeInstructionOperandConstraintException.java 371539 2006-01-23 14:08:00Z tcurdt $
See Also:
  Serialized Form

Constructor Summary
`StaticCodeInstructionOperandConstraintException(String message)`

Method Summary

Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
`extendMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticCodeInstructionOperandConstraintException

    public StaticCodeInstructionOperandConstraintException(String message)

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.